# Ogre::SDLError Class Reference

Simple CLI error output. More...

`#include <OgreSDLError.h>`

Inheritance diagram for Ogre::SDLError:

List of all members.

## Public Member Functions

| SDLError ()
void | display (const String &errorMessage, String logName="")
| Displays the error dialog.

## Detailed Description

Simple CLI error output.

Definition at line 34 of file OgreSDLError.h.

## Constructor & Destructor Documentation

Ogre::SDLError::SDLError | ( |  | ) |

| Definition at line 37 of file OgreSDLError.h.

## Member Function Documentation

void Ogre::SDLError::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) | `[virtual]`

Displays the error dialog.

Parameters:

  | errorMessage | The error message which has caused the failure.
  | logName | Optional name of the log to display in the detail pane.

Implements Ogre::ErrorDialog.

Definition at line 41 of file OgreSDLError.h.

The documentation for this class was generated from the following file:

- OgreSDLError.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:44:30 2006